package com.ssj.dao.weixin.user.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import com.ssj.bean.weixin.user.domain.QrCode;

@Repository
public interface QrCodeDao extends JpaRepository<QrCode, String>{
	/**
	 * 根据userId 查询记录
	 * @param userId
	 * @return
	 */
	public QrCode findByObjectIdAndParentId(String objectId,String parentId);
	public QrCode findByObjectId(String objectId);
	
	public QrCode findByTicket(String ticket);
	public QrCode findByQrcodeUrl(String qrcodeUrl);
	public QrCode findByUrl(String url);
	

}
